

#include "BUILTIN.h"
extern OBJ _ARelCmpConv_1(OBJ);OBJ __ARelCmpConv_1; /* ` */
OBJ __ARelCmpConv_2; /* `'2 */
OBJ __ARelCmpConv_3; /* `'3 */
OBJ __ARelCmpConv_4; /* `'4 */

extern OBJ _ARelCmpConv_1(OBJ x1) /* ` */
{OBJ r;
 switch(TGPRM(x1)){
  case 2:
   CPPRD(__ARelCmpConv_3,1);
   r=__ARelCmpConv_3;break;
  case 0:
   CPPRD(__ARelCmpConv_4,1);
   r=__ARelCmpConv_4;break;
  default: 
   CPPRD(__ARelCmpConv_2,1);
   r=__ARelCmpConv_2;}
 return r;}

init_ARelCmpConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_ARelCmp();
 DEN("<",__ARelCmpConv_4);
 DEN(">",__ARelCmpConv_3);
 DEN("=",__ARelCmpConv_2);
 CLS(1,_ARelCmpConv_1,__ARelCmpConv_1);}

